<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zhongzheng.modules.activity.mapper.ActivityTaskUserMapper">

    <resultMap type="com.zhongzheng.modules.activity.domain.ActivityTaskUser" id="ActivityTaskUserResult">
        <result property="userId" column="user_id"/>
        <result property="taskId" column="task_id"/>
        <result property="createTime" column="create_time"/>
        <result property="updateTime" column="update_time"/>
        <result property="score" column="score"/>
        <result property="taskType" column="task_type"/>
    </resultMap>



    <insert id="insertAdd" parameterType="map">
        insert into activity_task_time (
            task_id,
            start_range,
            end_range,
            integral
        )values(
                   #{taskId},
                   #{startRange},
                   #{endRange},
                   #{integral}
               )
    </insert>
</mapper>